HCAF_DFields
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.fields
Enum HCAF_DFields

    java.lang.Object
      java.lang.Enum<HCAF_DFields>
          org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.fields.HCAF_DFields

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<HCAF_DFields>

    public enum HCAF_DFields

extends java.lang.Enum<HCAF_DFields>

Enum Constant Summary
`depthmax`
`depthmean`
`depthmin`
`depthsd`
`iceconann`
`iceconfal`
`iceconspr`
`iceconsum`
`iceconwin`
`primprodmean`
`salinitybmean`
`salinitymax`
`salinitymean`
`salinitymin`
`salinitysd`
`sbtanmean`
`sstanmean`
`sstansd`
`sstmnmax`
`sstmnmin`
`sstmnrange`

Method Summary
`static HCAF_DFields` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static HCAF_DFields[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### depthmin

    public static final HCAF_DFields depthmin

### depthmax

    public static final HCAF_DFields depthmax

### depthmean

    public static final HCAF_DFields depthmean

### depthsd

    public static final HCAF_DFields depthsd

### sstanmean

    public static final HCAF_DFields sstanmean

### sstansd

    public static final HCAF_DFields sstansd

### sstmnmax

    public static final HCAF_DFields sstmnmax

### sstmnmin

    public static final HCAF_DFields sstmnmin

### sstmnrange

    public static final HCAF_DFields sstmnrange

### sbtanmean

    public static final HCAF_DFields sbtanmean

### salinitymean

    public static final HCAF_DFields salinitymean

### salinitysd

    public static final HCAF_DFields salinitysd

### salinitymax

    public static final HCAF_DFields salinitymax

### salinitymin

    public static final HCAF_DFields salinitymin

### salinitybmean

    public static final HCAF_DFields salinitybmean

### primprodmean

    public static final HCAF_DFields primprodmean

### iceconann

    public static final HCAF_DFields iceconann

### iceconspr

    public static final HCAF_DFields iceconspr

### iceconsum

    public static final HCAF_DFields iceconsum

### iceconfal

    public static final HCAF_DFields iceconfal

### iceconwin

    public static final HCAF_DFields iceconwin

Method Detail

### values

    public static HCAF_DFields[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (HCAF_DFields c : HCAF_DFields.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static HCAF_DFields valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD